import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { NzModalRef } from 'ng-zorro-antd/modal';
import { DEF } from '../../../../../api';
export declare class IdentityRoleRolesUpdateComponent implements OnInit {
    private nzModalRef;
    formGroup: FormGroup;
    record: DEF.Identity.RolePermissions;
    saving: boolean;
    constructor(nzModalRef: NzModalRef);
    handleCancel(): void;
    handleOk(): void;
    ngOnInit(): void;
}
